Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Wed, 07 Nov 2018 10:23:52 +0100

> What key bindings are more attractive in your opinion?

What I meant here is that if a user has typed a (customizable
directional) prefix like S-M-<right> the next key should already
supply all that's needed for the most common usages of the prefix.

Note that in its current form windmove.el is practically not needed
any more - most of its job is now done by 'window-in-direction'.  All
that remains in practice are its keybindings.  This gives us broad
opportunities to provide bindings for moving to a window in a certain
direction or create a window in that direction if, for example, no
window in that direction exists.  A new window could be made adjacent
to the selected window, full-width or full-height adjacent to a border
of the selected frame, on another frame in the indicated direction, in
a side or atomic window, on a child frame ...

martin